#ifndef LIGHT_DIRECTION_H
#define LIGHT_DIRECTION_H

#include "light.h"

namespace CBK
{
	namespace Lights
	{
		class Direction : public Light
		{
		public:
			Direction(IDirect3DDevice9* device = 0);
			virtual ~Direction(void);

			Direction& setDirection(const D3DVECTOR& direction);

		protected:

		private:
		};
	}
}

#endif //LIGHT_DIRECTION_H